
Quantification tool - Feature #859

Bug # 809 (Closed): Change label of the column “Next Procurement Date” at summary tab to “Last date to order”

Change calculation for the column "Last date to order" in summary tab

08/14/2013 05:47 PM - Luis Gustavo do Valle Bastos

Status: Closed Start date: 08/14/2013

Priority: Normal Due date: 09/09/2013

Assignee: Luis Gustavo do Valle Bastos % Done: 0%

Category:  Estimated time: 0.00 hour

Target version: Version 2.0 Spent time: 0.00 hour

Description

- If the stock-out date for a certain medicine goes within the months of buffer, system must internally change this date to the last date

of the forecasting period and add the months of lead time backwards to determine the final last date to order.

- If the stock-out date for a certain medicine goes after the months of buffer, system must display the last month and year of the

forecasting period without the word "after". Currently, system displays the last month and year of the months of buffer preceded by

the word "after.

- Keep the rule of changing color of the date if it goes at or before the reference date (see issue #809).

History

#1 - 08/19/2013 01:24 PM - Oleksii Kurasov

- Due date set to 08/20/2013

- Status changed from New to Resolved

- Assignee changed from Oleksii Kurasov to Luis Gustavo do Valle Bastos

#2 - 09/04/2013 08:32 AM - Luis Gustavo do Valle Bastos

- File TestLastDateOrder.qtb added

- Status changed from Resolved to Feedback

- Assignee changed from Luis Gustavo do Valle Bastos to Oleksii Kurasov

Find the forecasting attached for your reference.

Correct: if the stock-out date goes within the months of buffer, the system should first pull back this date to the last day of the forecasting period

(getting this out from the period of months of buffer), and then system must apply the period for the lead time backwards to finally provide the last date

to order.

Delete: the word "After" for last date to order going after the forecasting period.

#3 - 09/09/2013 07:34 AM - Oleksii Kurasov

- Due date changed from 08/20/2013 to 09/09/2013

- Status changed from Feedback to Resolved

- Assignee changed from Oleksii Kurasov to Luis Gustavo do Valle Bastos

#4 - 09/13/2013 05:18 PM - Luis Gustavo do Valle Bastos

- Status changed from Resolved to Closed

Tested and adequate.

05/06/2025 1/2

http://dev.msh.org/redmine/issues/809


Files

TestLastDateOrder.qtb 29.9 KB 09/04/2013 Luis Gustavo do Valle Bastos
